OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKLCAF
TNaming

# TNaming_DataMapNodeOfDataMapOfShapeShapesSet Class Reference

`#include <TNaming_DataMapNodeOfDataMapOfShapeShapesSet.hxx>`

## Public Member Functions
| TNaming_DataMapNodeOfDataMapOfShapeShapesSet (const TopoDS_Shape &K, const TNaming_ShapesSet &I, const TCollection_MapNodePtr &n)
TopoDS_Shape & | Key () const
TNaming_ShapesSet & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
TopoDS_Shape | myKey
TNaming_ShapesSet | myValue

## Constructor & Destructor Documentation

TNaming_DataMapNodeOfDataMapOfShapeShapesSet::TNaming_DataMapNodeOfDataMapOfShapeShapesSet | ( | const TopoDS_Shape & | K,
|  | const TNaming_ShapesSet & | I,
|  | const TCollection_MapNodePtr & | n
| ) |

## Member Function Documentation

Standard_EXPORT const TNaming_DataMapNodeOfDataMapOfShapeShapesSet::Handle | ( | Standard_Type |  | ) | const

TopoDS_Shape& TNaming_DataMapNodeOfDataMapOfShapeShapesSet::Key | ( |  | ) | const

TNaming_ShapesSet& TNaming_DataMapNodeOfDataMapOfShapeShapesSet::Value | ( |  | ) | const

## Field Documentation

TopoDS_Shape TNaming_DataMapNodeOfDataMapOfShapeShapesSet::myKey`[private]`

TNaming_ShapesSet TNaming_DataMapNodeOfDataMapOfShapeShapesSet::myValue`[private]`

The documentation for this class was generated from the following file:

- TNaming_DataMapNodeOfDataMapOfShapeShapesSet.hxx